<?php
	if(isset($ticket))
	{		
		if(isset($child_tickets) && count($child_tickets)>0)
		{
			echo '<fieldset id="filters_0" class="collapsible collapsed">';
			echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
				 <div name="toggle_group" id="fieldset_content_0" style="display:none;">';								
		}
		else	
		{
			echo '<fieldset id="filters_0" class="collapsible">';
				echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
					 <div name="toggle_group" id="fieldset_content_0">';
		}
								
				
				echo '<table id="hor-minimalist-b" style="width:100%">';

					echo '<tr>';
						echo '<td width="140">Temat</td>';
						echo '<td><div class="info_field">'.$ticket->temat.'</div></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="140">Status</td>';
						echo '<td><div class="info_field">'.$ticket->status.'</div></td>';
					echo '</tr>';

					echo '<tr>';
						echo '<td width="140">Kategoria</td>';
						echo '<td><div class="info_field">'.$ticket->kategoria.'</div></td>';
					echo '</tr>';
						
					echo '<tr>';
						echo '<td width="140">Wiadomość</td>';
						echo '<td><div class="info_field">'.nl2br($ticket->wiadomosc).'</div></td>';
					echo '</tr>';
					echo '<tr>';
						echo '<td width="140">Załaczniki</td>';
						echo '<td><div class="info_field">';
						if(isset($zalaczniki) && count($zalaczniki>0))
						{									
							echo '<table>';
								foreach($zalaczniki as $key=>$value)
								{
									$nazwa_pliku = explode('/',$value->sciezka);
									$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
									 
									$nazwa_pliku_real = explode('__',$nazwa_pliku);
									$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
									  
									echo '<tr>';
										echo '<td>'.($key+1).'</td>';									
										echo '<td><a href="'.$value->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
									echo '</tr>';
								}
							echo '</table>';
						}
						else
							echo 'brak';
							
						echo '</div></td>';
					echo '</tr>';								
																																					
				echo '</table><br/>';
				
			echo	'</div>
				</fieldset>
				<br/>';									
	}
	
	//child tickets
	if(isset($child_tickets))
	{
		foreach($child_tickets as $key=>$value)
		{
			if($key == (count($child_tickets)-1))
				{
					echo '<fieldset id="filters_'.($key+1).'" class="collapsible">';
					echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
						  <div name="toggle_group" id="fieldset_content_'.($key+1).'">';										
				}
			else
				{
					echo '<fieldset id="filters_'.($key+1).'" class="collapsible collapsed">';
					echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
						  <div name="toggle_group" id="fieldset_content_'.($key+1).'" style="display:none;">';
				}
						

						echo '<table id="hor-minimalist-b" style="width:100%">';

						  	echo '<tr>';
								echo '<td width="140">Wiadomość</td>';
								echo '<td><div class="info_field">'.nl2br($value->wiadomosc).'</div></td>';
							echo '</tr>';
							
						  	echo '<tr>';
								echo '<td width="140">Priorytet</td>';
								echo '<td><div class="info_field">'.$value->priorytet.'</div></td>';
							echo '</tr>';
																			
							echo '<tr>';
								echo '<td width="140">Załaczniki</td>';
								echo '<td><div class="info_field">';
								if(isset($value->zalaczniki) && is_array($value->zalaczniki))
								{									
									echo '<table>';
										foreach($value->zalaczniki as $key2=>$value2)
										{
											$nazwa_pliku = explode('/',$value2->sciezka);
											$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
											 
											$nazwa_pliku_real = explode('__',$nazwa_pliku);
											$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
											  
											echo '<tr>';
												echo '<td>'.($key2+1).'</td>';									
												echo '<td><a href="'.$value2->sciezka.'">'.$nazwa_pliku_real.'</a></td>';												
											echo '</tr>';
										}
									echo '</table>';
								}
								else
									echo 'brak';														
								echo '</div></td>';
							echo '</tr>';								
							echo '<tr><td colspan="2" align="right" style="border:none;"><a href="#top">TOP</a></td></tr>';
																																							
						echo '</table><br/>	';																						
						
						
			echo	'</div>
				</fieldset>
				<br/>';
		}							
	}
		
?>
<br/>

<div class="form_buttons_v1">
    <a id="back" class="simpleButton">wstecz</a>
</div>

<script type="text/javascript">
	$(document).ready(function()
	{
        $('#back').button();
		$('#back').click(function()
		{
		  $('#ticket').html('');		
		  $('#tickets').show();
		})
	})	
</script>	